using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using GHIElectronics.NETMF.FEZ;

namespace FEZMiniWiFi
{
    public class Program
    {
        const Byte FORWARD   = 0x46; /* 'F' */
        const Byte BACK      = 0x42; /* 'B' */
        const Byte LEFTTURN  = 0x4c; /* 'L' */
        const Byte RIGHTTURN = 0x52; /* 'R' */

        public static void Main()
        {
            OutputPort led = new OutputPort((Cpu.Pin)FEZ_Pin.Digital.LED, false);
            Byte[] data;

            Wifi.Initialize();

            while (true)
            {
                Wifi.Open();
                
                led.Write(true);
                
                while (true)
                {
                    try
                    {
                        data = Wifi.Receive();

                        switch (data[data.Length - 1])
                        {
                            case FORWARD:
                                FEZMini_Robot.Move(100, 100);
                                break;
                            case BACK:
                                FEZMini_Robot.Move(-100, -100);
                                break;
                            case LEFTTURN:
                                FEZMini_Robot.Move(-100, 100);
                                break;
                            case RIGHTTURN:
                                FEZMini_Robot.Move(100, -100);
                                break;
                            default:
                                FEZMini_Robot.Move(0, 0);
                                break;
                        }
                    }
                    catch (ObjectDisposedException e) 
                    {
                        break;
                    }
                }
                
                led.Write(false);
            }
        }
    }
}
