﻿/*
Copyright 2010 GHI Electronics LLC
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. 
*/

using System;
using Microsoft.SPOT;
using System.Threading;
using GHIElectronics.NETMF.FEZ;

namespace FEZ_Mini_DEMO
{
    public class Program
    {
        public static void Main()
        {
            FEZ_Components.LED OnBoardLED = new FEZ_Components.LED(FEZ_Pin.Digital.LED);
            OnBoardLED.StartBlinking(100, 500);

            for (int i = 1000; i < 10000; i += 100)
                FEZMini_Robot.Beep(i, 10);

            while (true)
            {
                FEZMini_Robot.MoveRamp(-100, 100, 10);
                FEZMini_Robot.Beep(6000, 1000);
                FEZMini_Robot.MoveRamp(100, -100, 10);
                FEZMini_Robot.Beep(6000, 1000);
            }
        }
    }
}